Upstream information

CVE-2014-9474 at MITRE

Description

Buffer overflow in the mpfr_strtofr function in GNU MPFR before 3.1.2-p11 allows context-dependent attackers to have unspecified impact via vectors related to incorrect documentation for mpn_set_str.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 911812 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libmpfr4 >= 3.1.2-7.1
SUSE Linux Enterprise Desktop 11 SP3
  • libmpfr1 >= 2.3.2-3.118.1
  • libmpfr1-32bit >= 2.3.2-3.118.1
  • mpfr-devel >= 2.3.2-3.118.1
  • mpfr-devel-32bit >= 2.3.2-3.118.1
Patchnames:
sdksp3-libmpfr1
sledsp3-libmpfr1
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmpfr1-32bit >= 2.3.2-3.118.2
  • mpfr-devel >= 2.3.2-3.118.1
  • mpfr-devel-32bit >= 2.3.2-3.118.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libmpfr1-32bit-2.3.2-3.118.2
SUSE Linux Enterprise Desktop 12 SP1
  • libmpfr4 >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Desktop 12 SP2
  • libmpfr4 >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Desktop 12 SP3
  • libmpfr4 >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Desktop 12 SP4
  • libmpfr4 >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Desktop 12
  • libmpfr4 >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE-SLE-DESKTOP-12-2015-53
SUSE-SLE-SDK-12-2015-53
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Linux Enterprise Storage 6
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • libmpfr6 >= 4.0.1-1.46
  • mpfr-devel >= 4.0.1-1.46
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA libmpfr6-4.0.1-1.46
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Basesystem 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Storage 7
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • libmpfr6 >= 4.0.1-1.46
  • mpfr-devel >= 4.0.1-1.46
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP2 GA libmpfr6-4.0.1-1.46
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Storage 7.1
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libmpfr6 >= 4.0.2-3.3.1
  • mpfr-devel >= 4.0.2-3.3.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP3 GA libmpfr6-4.0.2-3.3.1
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libmpfr6 >= 4.0.2-3.3.1
  • mpfr-devel >= 4.0.2-3.3.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libmpfr6-4.0.2-3.3.1
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • libmpfr6 >= 4.0.1-1.46
  • mpfr-devel >= 4.0.1-1.46
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libmpfr6-4.0.1-1.46
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libmpfr1 >= 2.3.2-3.118.1
  • libmpfr1-32bit >= 2.3.2-3.118.1
  • libmpfr1-x86 >= 2.3.2-3.118.1
  • mpfr-devel >= 2.3.2-3.118.1
  • mpfr-devel-32bit >= 2.3.2-3.118.1
Patchnames:
sdksp3-libmpfr1
slessp3-libmpfr1
SUSE Linux Enterprise Server 11 SP4
  • libmpfr1 >= 2.3.2-3.118.2
  • libmpfr1-32bit >= 2.3.2-3.118.2
  • libmpfr1-x86 >= 2.3.2-3.118.1
  • mpfr-devel >= 2.3.2-3.118.1
  • mpfr-devel-32bit >= 2.3.2-3.118.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libmpfr1-2.3.2-3.118.1
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libmpfr1-32bit-2.3.2-3.118.2
SUSE Linux Enterprise Server 12 SP1
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP1 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server 12 SP2
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP2 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server 12 SP3
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP3 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server 12 SP4
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server 12 SP5
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server for SAP Applications 12
  • libmpfr4 >= 3.1.2-7.1
  • libmpfr4-32bit >= 3.1.2-7.1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE-SLE-SDK-12-2015-53
SUSE-SLE-SERVER-12-2015-53
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libmpfr4 >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libmpfr4-3.1.2-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP1
SUSE Linux Enterprise Software Development Kit 12 SP1
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP2
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP3
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA mpfr-devel-3.1.2-7.1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libmpfr1-32bit >= 2.3.2-3.118.1
  • mpfr-devel >= 2.3.2-3.118.1
  • mpfr-devel-32bit >= 2.3.2-3.118.1
Patchnames:
sdksp3-libmpfr1
SUSE Linux Enterprise Software Development Kit 12
  • mpfr-devel >= 3.1.2-7.1
Patchnames:
SUSE-SLE-SDK-12-2015-53
openSUSE Leap 15.0
  • libmpfr6 >= 4.0.1-lp150.1.21
Patchnames:
openSUSE Leap 15.0 GA libmpfr6-4.0.1-lp150.1.21
openSUSE Leap 15.2
  • libmpfr6 >= 4.0.1-lp152.3.4
Patchnames:
openSUSE Leap 15.2 GA libmpfr6-4.0.1-lp152.3.113
openSUSE Leap 15.3
  • libmpfr6 >= 4.0.2-3.3.1
Patchnames:
openSUSE Leap 15.3 GA libmpfr6-4.0.2-3.3.1
openSUSE Leap 15.4
  • libmpfr6 >= 4.0.2-3.3.1
Patchnames:
openSUSE Leap 15.4 GA libmpfr6-4.0.2-3.3.1
openSUSE Tumbleweed
  • libmpfr4 >= 3.1.5-2.1
  • libmpfr4-32bit >= 3.1.5-2.1
  • mpfr-devel >= 3.1.5-2.1
  • mpfr-devel-32bit >= 3.1.5-2.1
Patchnames:
openSUSE Tumbleweed GA libmpfr4-3.1.5-2.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mpfr Released
SUSE Enterprise Storage 5 mpfr Released
SUSE Linux Enterprise Desktop 11 SP1 mpfr Released
SUSE Linux Enterprise Desktop 11 SP2 mpfr Ignore
SUSE Linux Enterprise Desktop 11 SP3 mpfr Released
SUSE Linux Enterprise Desktop 12 mpfr Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mpfr Released
SUSE Linux Enterprise Point of Service Image Server 12 SP2 mpfr Released
SUSE Linux Enterprise Server 11 SP1 mpfr Released
SUSE Linux Enterprise Server 11 SP1 LTSS mpfr Released
SUSE Linux Enterprise Server 11 SP2 mpfr Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS mpfr Ignore
SUSE Linux Enterprise Server 11 SP2 for VMware mpfr Ignore
SUSE Linux Enterprise Server 11 SP3 mpfr Released
SUSE Linux Enterprise Server 11 SP3 for VMware mpfr Released
SUSE Linux Enterprise Server 12 mpfr Released
SUSE Linux Enterprise Server 12 SP2 BCL mpfr Released
SUSE Linux Enterprise Server 12 SP2 ESPOS mpfr Released
SUSE Linux Enterprise Server 12 SP2 LTSS mpfr Released
SUSE Linux Enterprise Server 12 SP3 BCL mpfr Released
SUSE Linux Enterprise Server 12 SP3 ESPOS mpfr Released
SUSE Linux Enterprise Server 12 SP3 LTSS mpfr Released
SUSE Linux Enterprise Server 12 SP4 ESPOS mpfr Released
SUSE Linux Enterprise Server 12 SP4 LTSS mpfr Released
SUSE Linux Enterprise Server 12 SP5 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 11 SP1 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 mpfr Ignore
SUSE Linux Enterprise Server for SAP Applications 11 SP3 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 12 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mpfr Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mpfr Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 mpfr Released
SUSE Linux Enterprise Software Development Kit 11 SP1 mpfr Released
SUSE Linux Enterprise Software Development Kit 11 SP2 mpfr Ignore
SUSE Linux Enterprise Software Development Kit 11 SP3 mpfr Released
SUSE Linux Enterprise Software Development Kit 12 mpfr Released
SUSE Linux Enterprise Software Development Kit 12 SP5 mpfr Released
SUSE OpenStack Cloud 7 mpfr Released
SUSE OpenStack Cloud 8 mpfr Released
SUSE OpenStack Cloud 9 mpfr Released
SUSE OpenStack Cloud Crowbar 8 mpfr Released
SUSE OpenStack Cloud Crowbar 9 mpfr Released